#15 Improve instance creation to configure plugins via python
Closed: Fixed 3 years ago Opened 3 years ago by firstyear.

Rather than relying on template ldifs that may change, we should support a version based configuration system that can upgrade and install plugins. This has the goal of replacing setup-ds.pl -u, and should be able to be run against an online server.

An initial step of this is to support building a minimal instance, and creating the plugins as needed on that instance.

This is the first patch to enable this, providing stubs to our plugins, and enables as a demo the whoami plugin. We rely on template-dse-minimal.ldif.


Metadata Update from @firstyear:
- Custom field Origin adjusted to Community
- Custom field Review Status adjusted to review

3 years ago

Metadata Update from @spichugi:
- Custom field Review Status adjusted to ack (was: review)

3 years ago

Metadata Update from @firstyear:
- Issue assigned to firstyear

3 years ago

commit 53a1f55
To ssh://git@pagure.io/lib389.git
fb78d4a..649d807 master -> master

Metadata Update from @firstyear:
- Issue close_status updated to: Fixed
- Issue status updated to: Closed (was: Open)

3 years ago

Login to comment on this ticket.

Metadata